<template>
  <div>
    <input
      type="text"
      class="todo-input"
      placeholder="Unijeti stvari u listu"
      v-model="NewTodo"
      @keyup.enter="addTodo"
    />
    Lista pocinje odavde
    <div v-for="(todo, index) in todos" :key="todo.id" class="todo-for">
      <div>
      {{ todo.title }}
      
      </div>
      <div class="remove">
          <button  @click="removeTodo(index)"> x </button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "todo-list",
  data() {
    return {
      NewTodo: "",
      idForTodo: 3,
      todos: [
        {
          id: 1,
          title: "Pravljenje ToDo liste",
          completed: false,
        },
        {
          id: 2,
          title: "Proba test",
          completed: false,
        },
      ],
    };
  },
  methods: {
    addTodo() {
      this.todos.push({
        id: this.idForTodo,
        title: this.NewTodo,
        completed: false,
      });
      this.NewTodo = "";
      this.idForTodo++;
    },
    removeTodo(index){
      this.todos.splice(index,1)

    }
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style  >
.todo-input {
  width: 100%;
  padding: 10px 15px;
  margin-bottom: 20px;
  font-size: 18px;
}
.todo-for {
  margin-bottom: 12px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
</style>
